Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: [OMPI devel] version number issues
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2009-09-05 04:33:31


On Sep 4, 2009, at 2:56 PM, Nadia Derbey wrote:

> Actually, I didn't have the problem on my side, because hg is not
> known
> in my build environment. Never noticed these lines:
>
> -----------------
>
> *** Checking versions
> checking for SVN version... ../configure: line 4285: hg: command not
> found
> done
> checking Open MPI version... 1.4a1hg
>

I changed the subject since we're digressing a bit off the original
RFC...

This is an interesting failure mode that we evidently didn't consider
when we wrote that script. ;-) I guess we should check $? when
returning and ensure that the command executed properly.

The only question is -- should we abort in this case, or just put in
"unknown -- could not find hg" (or whatever) as the version? I would
lean towards the latter; development machines may vary wildly in what
software is installed... Unless anyone objects, I'll do the latter.

-- 
Jeff Squyres
jsquyres_at_[hidden]